#!/usr/bin/env python

from moinformat import parse, serialise, HTMLSerialiser

s = """\
Hello
{{{{#!xxx
A region
{{{
Another
}}}
End
}}}}
XXX
"""

s2 = """\
Hello
{{{{
Start
}}}
Still in region
}}}}
End
"""

s3 = """\
Hello {{{world}}} again"""

d = parse(s)
d2 = parse(s2)
d3 = parse(s3)

ns = serialise(d)
ns2 = serialise(d2)
ns3 = serialise(d3)

print ns == s
print
print ns
print "----"
print ns2 == s2
print
print ns2
print "----"
print ns3 == s3
print
print ns3
print "----"

print serialise(d, HTMLSerialiser)
print "----"
print serialise(d2, HTMLSerialiser)
print "----"
print serialise(d3, HTMLSerialiser)
print "----"

# vim: tabstop=4 expandtab shiftwidth=4
